<?php

// lister les directories
function liste_dossiers($directory="./"){
    if (is_dir($directory)) {
        //charge tous les dossiers présents
        $files = glob($directory . "*", GLOB_ONLYDIR );
        return $files; 
    }
    return -1;
}

function fichier_seul($file){
$file = preg_replace('/.*\//i', '', $file);
return $file;	
}

// fonction principale : lit le contenu des dossiers et trie dans une variable tableau
function lit_dossier($dir, $format='court'){
    // les infos du fdossier sont stockées dans un array $info
    $infos=array(); 
    if (is_dir($dir)) {
        $infos["nom_dossier"] = preg_replace('/.*\//i', '', $dir);
        $infos["adresse_dossier"] = $dir;

        // cherche le fichier info.txt
        $fi=$dir."/info.txt";
        if (file_exists($fi)) {
            if(!$fichier = fopen($fi, "r")) {
                echo "<div style='color:red'>lecture du fichier impossible</div>";
            } else {
                // titre et texte
                $infos['titre']=fgets($fichier, 4096);
                // le reste du dossier est le texte
                $texte="";
                while (!feof($fichier)) {
                    $texte.=fgets($fichier, 4096);
                }
                $infos['texte']=$texte;

                // icone
                $i=$dir."/icone.jpg";
                if (file_exists($i)) {
                    $infos['icone']=$i;
                }
            }

            /* fichiers du dossier triés, si l'info complète est demandée*/
            if($format=="complet"){
                $ext_image=array('jpg','png','gif');
                $ext_video=array('avi','mp4','mkv','m4v');
                $ext_autre=array('zip','txt','rtf','pdf','doc','msi','rar','dmg');
                $ext_son=array('mp3','aac','ogg');

                // prendre tous les fichiers avec la fonction glob()
                $files = glob($dir."/*.*", GLOB_BRACE);

                // Trier par extension
                foreach($files as $file){
                    $ext=strtolower(substr(strrchr($file,"."),1));
                    if(in_array($ext,$ext_image) && !preg_match("/icone.jpg/", $file)){
                        $infos['Images'][]=$file;
                    }
                    if(in_array($ext,$ext_son)){
                        $infos['Sons'][]=$file;
                    }
                    if(in_array($ext,$ext_autre) && !preg_match("/info.txt/", $file)){
                        $infos['Download'][]=$file;
                    }
                    if(in_array($ext,$ext_video)){
                        $infos['Vidéos'][]=$file;
                    }
                }
            }
        } 
    } else {
        // en cas ou l'adresse est mauvaise
        $infos['titre']="Erreur";
        $infos['texte']="Pas de contenu à cette adresse";
    }
    return $infos;
}

?>